.\" Copyright 1993 David Metcalfe (david@prism.demon.co.uk)
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" References consulted:
.\"     Linux libc source code
.\"     Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991)
.\"     386BSD man pages
.\" Modified Sat Jul 24 18:25:21 1993 by Rik Faith (faith@cs.unc.edu)
.TH SEEKDIR 3  "March 31, 1993" "" "Linux Programmer's Manual"
.SH NAME
seekdir \- set the position of the next readdir() call in the directory
stream.
.SH SYNOPSIS
.nf
.B #include <dirent.h>
.sp
.BI "void seekdir(DIR *" dir ", off_t " offset );
.fi
.SH DESCRIPTION
The \fBseekdir()\fP function sets the location in the directory stream
from which the next \fBreaddir()\fP call will start.  \fBseekdir()\fP
should be used with an offset returned by \fBtelldir()\fP.
.SH "RETURN VALUE"
The \fBseekdir()\fP function returns no value.
.SH "CONFORMING TO"
BSD 4.3
.SH "SEE ALSO"
.BR lseek (2),
.BR opendir (3),
.BR readdir (3),
.BR closedir (3),
.BR rewinddir (3),
.BR telldir (3),
.BR scandir (3)
